/*
 * Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies). All rights reserved.
 *    
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *    
 *  * Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 *  * Neither the name of Nokia Corporation nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *    
 *    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 *    AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 *    IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 *    DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
 *    FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 *    DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 *    SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 *    CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 *    OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *    OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *    
 *    Description:  
 */


#ifndef __TASKMANAGERAPP_H__
#define __TASKMANAGERAPP_H__

// INCLUDE FILES
#include <aknapp.h>

// CONSTANTS
// UID of the application

#ifdef __SERIES60_30__
// For S60 3rd Edition
const TUid KUidTaskManagerApp = { 0xE246da04 };
#else
// For S60 1st/2nd Edition
const TUid KUidTaskManagerApp = { 0x0246da04 };
#endif


// CLASS DECLARATION

/**
* CTaskManagerApp application class.
* Provides factory to create concrete document object.
* 
*/
class CTaskManagerApp : public CAknApplication
    {
private: // Functions from base classes

    /**
    * From CApaApplication, creates CTaskManagerDocument document object.
    * @return A pointer to the created document object.
    */
    CApaDocument* CreateDocumentL();
    
    /**
    * From CApaApplication, returns application's UID (KUidTaskManagerApp).
    * @return The value of KUidTaskManagerApp.
    */
    TUid AppDllUid() const;
    };

#endif // __TASKMANAGERAPP_H__

// End of File

